/* keydefs.h */

/* Number of keys defined below. */
#ifdef MAXIMIZE
static int predefined_keys = 10;
#else
static int predefined_keys = 9;
#endif

/* Number of buttons defined below. */
static int predefined_buttons = 3;

/* Because linear search is used to match the key pressed, it is better to
 * order the entries from most to least frequently used keys.  Use bitwise-or
 * operator `|' to specify more than one modifier key.
 * "ShiftMask" & "ControlMask" are for shift & control key, respectively, while
 * "None" is for no modifier.  "Mod1Mask" on some machines is for alt key.  Use
 * xmodmap(1) to find out more.  OP_* are defined in heliwm.h and XK_* are
 * defined in /usr/include/X11/keysymdef.h.
 *
 * Note: if you want to change the number of entries, pay attention to
 * MAX_KEY_DEFINITIONS and MAX_BUTTON_DEFINITIONS, which are defined in
 * config.h, and don't forget to adjust defined_keys and defined_buttons above.
 */

struct keyop keys[MAX_KEY_DEFINITIONS] = {
	/* {keycode (don't touch), modifier(s), keysym, operation code} */
	{0, Mod1Mask, XK_Tab, OP_NEXT},
	{0, Mod1Mask, XK_Return, OP_PREV},
	{0, Mod1Mask, XK_F7, OP_MOVE},
	{0, Mod1Mask, XK_F8, OP_RESIZE},
	{0, Mod1Mask, XK_F9, OP_ICONIFY},
#ifdef MAXIMIZE
	{0, Mod1Mask, XK_F10, OP_MAXIMIZE},
#endif
	{0, Mod1Mask, XK_F2, OP_RAISE},
	{0, Mod1Mask, XK_F3, OP_LOWER},
	{0, Mod1Mask, XK_F4, OP_DELETE},
	{0, ShiftMask | ControlMask, XK_Escape, OP_TERMINATE}
};

struct buttonop buttons[MAX_BUTTON_DEFINITIONS] = {
	/* {modifier(s), button number, operation code} */
	{None, Button1, OP_RAISE},
	{None, Button2, OP_LOWER},
	{None, Button3, OP_ICONIFY}
};
